## libvfio-mlx5-1.1.4-1.tar.gz

=== meson_options.txt ===
option('llvm_coverage', type: 'boolean', value: false, description: 'Enable LLVM/Clang code coverage instrumentation')

=== debian/changelog ===
libvfio-mlx5 (1.1.4-1) UNRELEASED; urgency=medium

  * Continuous development.
  * Full release notes:
    https://docs.nvidia.com/doca/sdk/doca+release+notes/index.html

 -- Networking Support <networking-support@nvidia.com>  Thu, 03 Apr 2025 18:21:23 -0500

=== debian/control ===
Source: libvfio-mlx5
Section: libs
Priority: optional
Maintainer: Networking Support <networking-support@nvidia.com>
Build-Depends: debhelper-compat (= 12), meson
Standards-Version: 4.6.0
Homepage: https://docs.nvidia.com/doca/sdk/doca+release+notes/index.html
Rules-Requires-Root: no

Package: libvfio-mlx5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VFIO based MLX5 User Space Driver
 This package provides the VFIO based MLX5 User Space Driver, including the
 shared library, development files, and basic sample application.
 It enables user space applications to directly access MLX5 hardware
 through the VFIO framework, providing high-performance networking capabilities.
 .
 The package includes:
  - Shared library (libvfio_mlx5.so.*) for runtime applications
  - Development files (headers, static library) for building applications
  - Basic sample application (vfio_mlx5) demonstrating library usage.
 .
 The library offers a comprehensive API for managing MLX5 devices, handling
 memory management, command queues, and hardware capabilities in user space.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr $(MESON_PARAM)

override_dh_auto_test:
